Merge Proposal Status

State changes

  • 2023-03-09T04:12: publisher-invalid-response :
    INFO:brz:Total 2040 (delta 0), reused 0 (delta 0), pack-reused 2034
    Traceback (most recent call last):
      File "<frozen runpy>", line 198, in _run_module_as_main
      File "<frozen runpy>", line 88, in _run_code
      File "/usr/local/lib/python3.11/dist-packages/janitor/publish_one.py", line 575, in <module>
        publish_result, branch_name = publish_one(
                                      ^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/janitor/publish_one.py", line 413, in publish_one
        existing_proposal = forge.get_proposal_by_url(existing_mp_url)
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 874, in get_proposal_by_url
        mr = self._get_merge_request(project['path_with_namespace'], merge_id)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 596, in _get_merge_request
        response = self._api_request('GET', path)
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 431, in _api_request
        return self.transport.request(
               ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/transport/http/urllib.py", line 1822, in request
        response = self._opener.open(request)
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/urllib/request.py", line 525, in open
        response = meth(req, response)
                   ^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/transport/http/urllib.py", line 1688, in http_response
        response = self.parent.error('http', request, response,
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/urllib/request.py", line 563, in error
        return self._call_chain(*args)
               ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/urllib/request.py", line 496, in _call_chain
        result = func(*args)
                 ^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/transport/http/urllib.py", line 1704, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 500 for https://salsa.debian.org/api/v4/projects/debian%2Fsurfraw/merge_requests/7: Unable to handle http code: Internal Server Error
    
  • 2023-03-09T03:38: publisher-invalid-response :
    INFO:brz:Total 2040 (delta 0), reused 0 (delta 0), pack-reused 2034
    INFO:brz:Total 1 (delta 0), reused 1 (delta 0), pack-reused 0
    WARNING:brz:Text conflict in 
    INFO:brz:found 0 deltas to reuse
    INFO:brz:
    View merge request for lintian-fixes:
      https://salsa.debian.org/debian/surfraw/-/merge_requests/7
    Traceback (most recent call last):
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 279, in set_description
        self._update(description=description)
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 257, in _update
        self.gl._update_merge_request(
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 611, in _update_merge_request
        response = self._api_request('PUT', path, fields=mr)
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 431, in _api_request
        return self.transport.request(
               ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/transport/http/urllib.py", line 1822, in request
        response = self._opener.open(request)
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/urllib/request.py", line 525, in open
        response = meth(req, response)
                   ^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/transport/http/urllib.py", line 1688, in http_response
        response = self.parent.error('http', request, response,
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/urllib/request.py", line 563, in error
        return self._call_chain(*args)
               ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/urllib/request.py", line 496, in _call_chain
        result = func(*args)
                 ^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/transport/http/urllib.py", line 1704, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 500 for https://salsa.debian.org/api/v4/projects/30349/merge_requests/7: Unable to handle http code: Internal Server Error
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "<frozen runpy>", line 198, in _run_module_as_main
      File "<frozen runpy>", line 88, in _run_code
      File "/usr/local/lib/python3.11/dist-packages/janitor/publish_one.py", line 575, in <module>
        publish_result, branch_name = publish_one(
                                      ^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/janitor/publish_one.py", line 499, in publish_one
        publish_result = publish(
                         ^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/janitor/publish_one.py", line 179, in publish
        return publish_changes(
               ^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/silver_platter/publish.py", line 725, in publish_changes
        (proposal, is_new) = propose_changes(
                             ^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/silver_platter/publish.py", line 315, in propose_changes
        resume_proposal.set_description(mp_description)
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 285, in set_description
        self._mr = self.gl._get_merge_request(
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 596, in _get_merge_request
        response = self._api_request('GET', path)
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/plugins/gitlab/forge.py", line 431, in _api_request
        return self.transport.request(
               ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/transport/http/urllib.py", line 1822, in request
        response = self._opener.open(request)
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/urllib/request.py", line 525, in open
        response = meth(req, response)
                   ^^^^^^^^^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/transport/http/urllib.py", line 1688, in http_response
        response = self.parent.error('http', request, response,
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/urllib/request.py", line 563, in error
        return self._call_chain(*args)
               ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/urllib/request.py", line 496, in _call_chain
        result = func(*args)
                 ^^^^^^^^^^^
      File "/usr/local/lib/python3.11/dist-packages/breezy/transport/http/urllib.py", line 1704, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 500 for https://salsa.debian.org/api/v4/projects/30349/merge_requests/7: Unable to handle http code: Internal Server Error
    
  • 2023-01-05T10:46: success : Success